Package org.eclipse.cdt.utils.debug.stabs

# Class Stabs

java.lang.Object
org.eclipse.cdt.utils.debug.stabs.Stabs

public class Stabs extends Object

## Constructor Summary

Constructors
Constructor
Description
`Stabs(byte[] stab, byte[] stabstr, boolean le)`
`Stabs(String file)`
`Stabs(Elf exe)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`parse(IDebugEntryRequestor requestor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stabs

public Stabs(String file) throws IOException

Throws:
  `IOException`

### Stabs

public Stabs(Elf exe) throws IOException

Throws:
  `IOException`

### Stabs

public Stabs(byte[] stab, byte[] stabstr, boolean le)

## Method Details

### parse

public void parse(IDebugEntryRequestor requestor)

### main

public static void main(String[] args)